Support » Plugin: WooCommerce » update 4.4 bricks the shop!! WC plugin can’t be activated anymore

  • Resolved volkerforster

    (@volkerforster)


    Update to WC 4.4 as it showed up today. This is the error message:
    ———————–
    Downloading update from https://downloads.wordpress.org/plugin/woocommerce.4.4.0.zip…
    The authenticity of woocommerce.4.4.0.zip could not be verified as no signature was found.
    Unpacking the update…
    Installing the latest version…
    Removing the old version of the plugin…
    Plugin updated successfully.
    ———————–
    Fatal error: Declaration of Automattic\WooCommerce\Internal\DependencyManagement\ExtendedContainer::get($id, bool $new = false) must be compatible with League\Container\Container::get($alias, array $args = Array) in /home/customer/www/universal-solder.ca/public_html/wp-content/plugins/woocommerce/src/Internal/DependencyManagement/ExtendedContainer.php on line 0
    ———————–

    I can’t even open a ticket because you are obviously limiting ticket creation to user who are able to upload a system report! This is ridiculous! If I can’t activate WooCommerce anymore, I can’t send you a system report, OF COURSE!

    Please fix this problem. Urgent. Highest priority.

    thank you

    The page I need help with: [log in to see the link]

Viewing 2 replies - 1 through 2 (of 2 total)
  • Thread Starter volkerforster

    (@volkerforster)

    I rolled back to 4.3.3 which worked flawlessly.
    4.4 seems not to be tested thoroughly before its release… not the first time this happened with WC updates.

    Plugin Support Fernando a11n

    (@fhaps)

    Automattic Happiness Engineer

    @volkerforster Hi! The error you shared seems consistent with a known conflict between the latest version of WooCommerce and WP Rocket, or other plugins using PHP League’s Dependency Injection container. You can read more about the issue on this open GH thread.

    If you are using WP Rocket indeed, their team have released a new version that fixes the compatibility issue. Updating to the latest version would fix it.

    We strongly encourage users to always test updates on a staging site first, to avoid this kind of issues. If you don’t have one yet, I’d recommend reaching out to your host to see if they offer any staging options. If they don’t, you may want to look into using a plugin like WP Staging.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘update 4.4 bricks the shop!! WC plugin can’t be activated anymore’ is closed to new replies.